import { defineComponent as r, mergeModels as c, useModel as p, watch as m, createElementBlock as s, openBlock as n, createBlock as f, createCommentVNode as _, unref as u } from "vue";
import { useI18n as b } from "vue-i18n";
import { f as h } from "./start-CE9SawgU.js";
import "pinia";
import "./header-Bn1EKnBE.js";
const V = /* @__PURE__ */ r({
  __name: "PhpCodeExtension",
  props: /* @__PURE__ */ c({
    attributeMap: {},
    destinationAttribute: {},
    sourceAttributes: {},
    etlAttributeSetMapId: {}
  }, {
    modelValue: {},
    modelModifiers: {}
  }),
  emits: ["update:modelValue"],
  setup(t) {
    const e = p(t, "modelValue"), { t: d } = b();
    return m(
      () => e.value,
      (o) => {
        o?.code == null && (e.value = { code: "" });
      },
      { immediate: !0 }
    ), (o, l) => (n(), s("div", null, [
      e.value ? (n(), f(u(h), {
        key: 0,
        modelValue: e.value.code,
        "onUpdate:modelValue": l[0] || (l[0] = (i) => e.value.code = i),
        label: u(d)("datahub-plugin.etl.php-code.code"),
        "max-width": "567",
        "persistent-placeholder": ""
      }, null, 8, ["modelValue", "label"])) : _("", !0)
    ]));
  }
});
function a(t) {
  const e = t;
  e.__i18n = e.__i18n || [], e.__i18n.push({
    locale: "",
    resource: {
      "en-US": {
        "datahub-plugin": {
          etl: {
            "php-code": {
              code: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "PHP code" } }
            }
          }
        }
      },
      "de-DE": {
        "datahub-plugin": {
          etl: {
            "php-code": {
              code: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "PHP-Code" } }
            }
          }
        }
      }
    }
  });
}
typeof a == "function" && a(V);
export {
  V as default
};
